=head1 NAME

Gtk2::Scale

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Range
                      +----Gtk2::Scale



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Orientable



=cut


=head1 METHODS

=head2 integer = $scale-E<gt>B<get_digits> 

=head2 $scale-E<gt>B<set_digits> ($digits)

=over

=item * $digits (integer) 

=back

=head2 boolean = $scale-E<gt>B<get_draw_value> 

=head2 $scale-E<gt>B<set_draw_value> ($draw_value)

=over

=item * $draw_value (boolean) 

=back

=head2 layout = $scale-E<gt>B<get_layout> 

Since: gtk+ 2.4

=head2 (x, y) = $scale-E<gt>B<get_layout_offsets> 

Since: gtk+ 2.4

=head2 positiontype = $scale-E<gt>B<get_value_pos> 

=head2 $scale-E<gt>B<set_value_pos> ($pos)

=over

=item * $pos (Gtk2::PositionType) 

=back



=cut


=head1 PROPERTIES

=over

=item 'digits' (integer : default 1 : readable / writable / private)

The number of decimal places that are displayed in the value

=item 'draw-value' (boolean : default true : readable / writable / private)

Whether the current value is displayed as a string next to the slider

=item 'value-pos' (Gtk2::PositionType : default "top" : readable / writable / private)

The position in which the current value is displayed

=back



=cut


=head1 SIGNALS

=over

=item string = B<format-value> (Gtk2::Scale, double)

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::PositionType

=over

=item * 'left' / 'GTK_POS_LEFT'

=item * 'right' / 'GTK_POS_RIGHT'

=item * 'top' / 'GTK_POS_TOP'

=item * 'bottom' / 'GTK_POS_BOTTOM'

=back




=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Range>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

